%define vmver	4.10.2
%define svntag	2614
Name:		squeak-vm
Version:	%{vmver}.%{svntag}
Release:	%mkrel 10
Summary:	The Squeak virtual machine
Group:		Development/Other
License:	MIT
URL:            http://squeakvm.org/unix
Source0:	http://squeakvm.org/unix/release/Squeak-%{version}-src.tar.gz
Source2:	squeak-desktop-files.tar.gz
Patch0:		Squeak-4.10.2.2614-fix-str-fmt.patch

BuildRequires:	cmake
BuildRequires:	libaudiofile-devel
BuildRequires:	x11-proto-devel
BuildRequires:	libx11-devel
BuildRequires:	desktop-file-utils
BuildRequires:	libalsa-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libtheora-devel
BuildRequires:	speex-devel
BuildRequires:	dbus-devel
BuildRequires:	pango-devel
BuildRequires:	libice-devel
BuildRequires:	libsm-devel
BuildRequires:	libxext-devel
BuildRequires:	e2fsprogs-devel
BuildRequires:	dbus-devel
BuildRequires:	pkgconfig(libpulse)
Requires:	zenity
Obsoletes:	squeak-vm-nonXOplugins

%description
Squeak is a full-featured implementation of the Smalltalk programming
language and environment based on (and largely compatible with) the original
Smalltalk-80 system.

This package contains just the Squeak virtual machine.

%prep
%setup -q -n Squeak-%{version}-src -a 2
%patch0 -p0

# The source files chmod'd here have the execute bit set in the upstream tarball
# which bothers rpmlint, need submit a request upstream to have this changed
find . -name '*.[ch]' -exec chmod ug=rw,o=r {} \;

%build
pushd unix
%cmake -DVM_HOST="%{_host}" -DVM_VERSION="%{vmver}-%{svntag}" -DPLATFORM_SOURCE_VERSION="%{svntag}"
%make_build
popd

%install
%make_install -C unix/build

#cp -f unix/config/inisqueak.in %%{buildroot}%%{_bindir}/inisqueak
perl -pi					\
	-e 's|\@SQ_MAJOR\@|41|;'		\
	-e 's|\@SQ_VERSION\@|4.1|;'		\
	-e 's|\@prefix\@|%{_prefix}|;'		\
	-e 's|\@exec_prefix\@|%{_prefix}|;'	\
	-e 's|\@bindir\@|%{_bindir}|;'		\
	-e 's|\@imgdir\@|%{_datadir}/squeak|;'	\
	-e 's|\@plgdir\@|%{_datadir}/squeak|;'	\
	%{buildroot}%{_bindir}/inisqueak
perl -pi					\
	-e 's|/lib/squeak|/%{_lib}/squeak|;'	\
	%{buildroot}%{_bindir}/squeak{,.sh}

# these files will be put in std RPM doc location
rm -rf %{buildroot}%{_prefix}/doc/squeak

# install the desktop stuff
install -D --mode=u=rwx,go=rx mysqueak %{buildroot}%{_bindir}/mysqueak
install -D --mode=u=rw,go=r mysqueak.1 %{buildroot}%{_mandir}/man1/mysqueak.1
install -D --mode=u=rw,go=r squeak.xml %{buildroot}%{_datadir}/mime/packages/squeak.xml
install -D --mode=u=rw,go=r squeak.desktop %{buildroot}%{_datadir}/applications/squeak.desktop
install -D --mode=u=rw,go=r squeak.png %{buildroot}%{_datadir}/pixmaps/squeak.png

%define icons_dir %{buildroot}%{_datadir}/icons/Adwaita
for size in 16 24 32 48 64 72 96
do
  mkdir -p %{icons_dir}/${size}x${size}/mimetypes
  install -m0644 squeak${size}.png %{icons_dir}/${size}x${size}/mimetypes/application-x-squeak-image.png
  install -m0644 squeaksource${size}.png %{icons_dir}/${size}x${size}/mimetypes/application-x-squeak-source.png
done

%ifarch x86_64 ppc64
    mkdir -p %{buildroot}%{_libdir}/squeak
    mv -f %{buildroot}%{_prefix}/{lib,%{_lib}}/squeak/%{vmver}-%{svntag}
%endif

# If an image cant find the .sources in the current directory it will look
# in %%{_libdir}/squeak/%%{vmver}
cd %{buildroot}%{_libdir}/squeak/%{vmver}-%{svntag}
DOTDOTS=$(echo %{_libdir}/squeak/%{vmver}-%{svntag} | sed -e 's:/[^/]\+:../:g')
ln -s ${DOTDOTS}%{_datadir}/squeak/SqueakV41.sources .

%files
%doc unix/ChangeLog unix/doc/{README*,LICENSE,*RELEASE_NOTES}
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/icons/Adwaita/*/*/*
%{_datadir}/mime/packages/*
%{_datadir}/pixmaps/*
%dir %{_libdir}/squeak
%{_libdir}/squeak/*
%{_mandir}/man*/*


%changelog
* Sun Feb 19 2017 daviddavid <daviddavid> 4.10.2.2614-10.mga6
+ Revision: 1086874
- remove useless BRs on gstreamer0.10

* Tue Feb 09 2016 umeabot <umeabot> 4.10.2.2614-9.mga6
+ Revision: 952282
- Mageia 6 Mass Rebuild

* Mon Feb 09 2015 shlomif <shlomif> 4.10.2.2614-8.mga5
+ Revision: 814255
- Move icons directory from /gnome to /Adwaita

* Wed Oct 15 2014 umeabot <umeabot> 4.10.2.2614-7.mga5
+ Revision: 745676
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.10.2.2614-6.mga5
+ Revision: 689308
- Mageia 5 Mass Rebuild

* Sat Apr 19 2014 alexl <alexl> 4.10.2.2614-5.mga5
+ Revision: 617103
- fix missing module vm-sound-pulse (mga#13227)

* Sat Oct 19 2013 umeabot <umeabot> 4.10.2.2614-4.mga4
+ Revision: 527514
- Mageia 4 Mass Rebuild

* Sat Jun 08 2013 fwang <fwang> 4.10.2.2614-3.mga4
+ Revision: 440479
- update version
- fix str fmt
- update switch
- use standard cmake

* Mon Jan 14 2013 umeabot <umeabot> 4.10.2.2614-2.mga3
+ Revision: 382590
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 14 2012 zezinho <zezinho> 4.10.2.2614-1.mga3
+ Revision: 331020
- remove old patches
- new version

* Mon Aug 20 2012 luigiwalser <luigiwalser> 4.4.7.2357-2.mga3
+ Revision: 282487
- rebuild for libffi

* Sun Nov 20 2011 zezinho <zezinho> 4.4.7.2357-1.mga2
+ Revision: 169664
- new version

* Sat Nov 19 2011 zezinho <zezinho> 4.0.3.2202-3.mga2
+ Revision: 169590
- fix spec
- imported package squeak-vm


* Thu Oct 14 2010 Paulo Andrade <pcpa@mandriva.com.br> 4.0.3.2202-3mdv2011.0
+ Revision: 585523
+ rebuild (emptylog)

* Sat Oct 09 2010 Paulo Andrade <pcpa@mandriva.com.br> 4.0.3.2202-2mdv2011.0
+ Revision: 584372
+ rebuild (emptylog)

* Sat Oct 09 2010 Paulo Andrade <pcpa@mandriva.com.br> 4.0.3.2202-1mdv2011.0
+ Revision: 584320
- Update to latest upstream release

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Sun Jan 25 2009 Jérôme Soyer <saispo@mandriva.org> 3.10.4-1mdv2009.1
+ Revision: 333509
- Fix RPM Groups
- Fix BR:w
- Add dbus BR
- Fix RPM Group
- New upstream release

* Mon Dec 29 2008 Jérôme Soyer <saispo@mandriva.org> 3.9-7mdv2009.1
+ Revision: 320795
- Add sound support

* Mon Dec 08 2008 Caio Begotti <caio1982@mandriva.org> 3.9-6mdv2009.1
+ Revision: 311796
- fixes squeak startup issues: it was looking for images in a fixed path with old versioning and was not loading the X11 plugin (and others)

* Sat Aug 02 2008 Thierry Vignaud <tv@mandriva.org> 3.9-5mdv2009.0
+ Revision: 260991
- rebuild

* Tue Jul 29 2008 Thierry Vignaud <tv@mandriva.org> 3.9-4mdv2009.0
+ Revision: 253078
- rebuild
- fix description-line-too-long

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon Jan 07 2008 Jérôme Soyer <saispo@mandriva.org> 3.9-2mdv2008.1
+ Revision: 146234
- Remove mv
- Bump release
- Add files
- Add Exclusive Arch
- import squeak-vm


